Subject: Delete file with missing processed file raises alert

Description

When a BE User deletes a File in the File Module and a
processed files is missing for some reasons as for instance
the processed file directory has been flushed,

an alert is displayed in the BE:

Could not delete file "foo.jpg". Write-permission problem?

The patch fixes the situation by adding a check whether
the file exists on the file system.

Related issues:

duplicates Core - Task # 44550: Preview image and database entry not deleted ...

Closed

2013-01-15

Associated revisions

Revision e81d0605 - 2014-01-30 18:52 - Fabien Udriot

[BUGFIX] Delete file with missing processed file raises alert

When a BE User deletes a file in the file module all file references

as well as processed files are removed, too. If then aprocessed files

is missing for some reason an alert is displayed in the backend module:
Could not delete file "foo.jpg". Write-permission problem?

The patch fixes the situation by adding a check whether before deleting.
Change-Id: 1228624a3470340382950d3f54d8b428bfe831715
Releases: 6.2

Resolves: #55428
Reviewed-on: https://review.typo3.org/27123

Reviewed-by: Stefan Froemken
Reviewed-by: Steffen Ritter
History

#1 - 2014-01-29 13:00 - Gerrit Code Review

2015-08-04
https://review.typo3.org/27123

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27123

#2 - 2014-01-29 13:03 - Fabien Udriot

This is quite easy to test

1. Upload a file in the File module

2. Empty all files from directory _processed_
3. Delete the uploaded file in the File module

-> a flash message error appears.

Do the same thing with the patch applied should fix the error message.

#3 - 2014-01-30 11:16 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27123

#4 - 2014-01-30 18:49 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27123

#5 - 2014-01-30 19:30 - Fabien Udriot
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e81d0605bb428a6ea494e39b63fbef932259a65b.
